Bug 78635 - LibreOffice Importing Symbols Incorrectly from .docx
Summary: LibreOffice Importing Symbols Incorrectly from .docx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: highest major
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords: regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-05-12 20:37 UTC by Joel Madero
Modified: 2014-05-14 13:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
PDF of Document on W7 Master (11-05-2014) (22.31 KB, application/pdf)
2014-05-12 20:52 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2014-05-12 20:37:14 UTC
This bug has been reported in the past but was fixed and now is broken again (see bug 49645)

Steps to Reproduce:

Open attachment here: https://bugs.freedesktop.org/attachment.cgi?id=49722

Observed:

LibreOffice 4.2.3.3 through bibisect current (not sure where the ended) I get different results:
1) boxes instead of symbols
2) empty values

In master built last week I get empty values

Note: W7 user opened using master from yesterday and they saw incorrect symbols (symbols but not the correct ones).

Seems related to: <w:sym w:font="Symbol" w:char="F061"/>

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


c4afc1db4ee817735ba7f28ea7fd39c06b8f784f is the first bad commit
commit c4afc1db4ee817735ba7f28ea7fd39c06b8f784f
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 07:55:45 2013 +0000

    source-hash-911186d98f06b43d4563b401244e2cc216b76f33
    
    commit 911186d98f06b43d4563b401244e2cc216b76f33
    Author:     Markus Mohrhard <markus.mohrhard@googlemail.com>
    AuthorDate: Mon May 27 01:42:46 2013 +0200
    Commit:     Markus Mohrhard <markus.mohrhard@googlemail.com>
    CommitDate: Mon May 27 01:45:34 2013 +0200
    
        remove chart listener when chart is deleted, fdo#64639
    
        Change-Id: I7ebf75f49c89edcb0bba3a597ba24ac1c0a655ef

:100644 100644 a387ff91c3848be8d8235a8b0a29b096f40f3d13 21449c7d3372ad68e3be2a3f5c2ed81bf697267c M	ccache.log
:100644 100644 d0500a84fd70bb88043180bf56a26ae417a23717 08e1f16a7ce22a68b6f2d7716dbb0b3d8be71649 M	commitmsg
:100644 100644 6647aeb3429df04df5e2a942afd5f253dbae7829 66db214d42fb5377e5b2887af7b922ac9224535e M	dev-install.log
:100644 100644 a4990d0024cbf11a17e00c2b9b3c773c159899e8 735ce05b08d9a0ae2e6ab796f57f1386ecd858d6 M	make.log
:040000 040000 6004b31ecdffff2b247e605b8ee72d5102dbbf49 416191e10ac4fcc45a4bdc78425ed475ee4cebed M	opt


# bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [8092559c5013969ebda017d79200463b9b975038] source-hash-fd84daf696a368c2c7561b5253b32a63ecdeca4a
git bisect good 8092559c5013969ebda017d79200463b9b975038
# bad: [0270ef1b76a6de423b30f7927362cc01c1a0fc38] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
git bisect bad 0270ef1b76a6de423b30f7927362cc01c1a0fc38
# good: [aedcb9e93c73792e6d4f6bc5d74050efbe5af7c1] source-hash-358b60b3b172968a7605b428af01df456d7669b2
git bisect good aedcb9e93c73792e6d4f6bc5d74050efbe5af7c1
# good: [63ac4ab9665db60fac1e1813c9c80da52b2e87c6] source-hash-66e39940d763586060c4bcc8c3cd213495c40b79
git bisect good 63ac4ab9665db60fac1e1813c9c80da52b2e87c6
# bad: [318bcb373da01174e1947da5e3ce77e078a33a77] source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
git bisect bad 318bcb373da01174e1947da5e3ce77e078a33a77
# bad: [e7831b72c3ba577f9b95d9e45f8a8e0aa3f02be3] source-hash-bb6ecd8b40313b7cc83d4e619029f4e001334a52
git bisect bad e7831b72c3ba577f9b95d9e45f8a8e0aa3f02be3
# bad: [796cc4f8eec3565f31fbd2adc95588a325312df2] source-hash-b45876bf0f2eeafba0a4f9f8f30cd4279eb2aa3e
git bisect bad 796cc4f8eec3565f31fbd2adc95588a325312df2
# bad: [c4afc1db4ee817735ba7f28ea7fd39c06b8f784f] source-hash-911186d98f06b43d4563b401244e2cc216b76f33
git bisect bad c4afc1db4ee817735ba7f28ea7fd39c06b8f784f
# good: [bd951694841e40420fe7938e162ddc5e6b577d1b] source-hash-f2321c529adf6d4a455742c30fb75fbe3f7efe02
git bisect good bd951694841e40420fe7938e162ddc5e6b577d1b
# first bad commit: [c4afc1db4ee817735ba7f28ea7fd39c06b8f784f] source-hash-911186d98f06b43d4563b401244e2cc216b76f33
Comment 1 Joel Madero 2014-05-12 20:40:28 UTC
My setup:
Ubuntu 14.04

Multiple versions of LibreOffice - used bibisect42all package as well as master built last week + 4.2.3

Also confirmed on W7 from master (yesterday)
Comment 2 Joel Madero 2014-05-12 20:51:26 UTC
Confirmed via email correspondence with anonymous user (no FDO account): their email content below.

I noticed a fileopen regression of bug 49645 pertaining docx import.

Tested on win7x64 on libreoffice 4.2.4 win-x86 and master~2014-05-11_23.55.17_LibreOfficeDev_4.3.0.0.alpha1

Original testcase docx is attached in bug 4964.

Issue is apparently triggered by docx tags <w:sym w:font="Symbol" w:char="F061"/>
and applies also to docx files using wingdings symbols.

opening TestOffice2008.docx from within libreoffice cause alpha and beta symbols to be replaced by squares

opening TestOffice2008.docx by means of explorer file association (default file open) get alpha and beta symbols get replaced by different symbols (see attached pdf)
Comment 3 Joel Madero 2014-05-12 20:52:06 UTC
Created attachment 98942 [details]
PDF of Document on W7 Master (11-05-2014)
Comment 4 Andras Timar 2014-05-14 13:11:56 UTC
Fixed by f51640c5 and 671eb12d in master. I cherry-picked the fixes to libreoffice-4-2 branch.